=== debian/changelog ===
llvm-toolchain-16 (1:16.0.0~+rc1-1~exp1) experimental; urgency=medium

  * First rc of 16
  * Branching of 16 (snapshot is now 17)
  * ship libHLFIRTransforms & libHLFIRDialect in libflang
  * Also install liborc_rt-x86_64.a in libclang-rt
  * Adjust some path since upstream changed the path from
    /usr/lib/llvm-16/lib/clang/16.0.0/ to
    /usr/lib/llvm-16/lib/clang/16/
  * Workaround some missing files on buster
  * Replace LLVM_CONFIG by LLVM_CMAKE_DIR
  * Bring back -DBUILTINS_CMAKE_ARGS & -DRUNTIMES_CMAKE_ARGS options
    https://github.com/llvm/llvm-project/issues/59097
  * unbreak a symlink to fix to libclang
  * Add a symlink /usr/lib/x86_64-linux-gnu/{libclang-16.so.16.0.0 => libclang-16.so.1}
    Expected by program like the firefox build system
  * ship amdgpu-arch & nvptx-arch in clang-tools
  * ship llvm-omp-kernel-replay in libomp-X.Y-dev
  * Disable flang on s390x. Seems that it is breaking
  * compiler-rt: Only build liborc on amd64, i386 & arm64
  * Don't build omptarget on i386

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Nov 2022 10:16:49 +0100

llvm-toolchain-snapshot (1:16~++20221111053703+a77a02aa5794-1~exp1) experimental; urgency=medium

  * New snapshot release
  * mlir: Disable test on i386 because of
    https://github.com/llvm/llvm-project/issues/58357
  * Install llvm-debuginfo-analyzer in llvm-X.Y
  * Install clang-include-cleaner in clang-tools-X.Y
  * Build of openmp: use PROJECTS instead of RUNTIMES
    See https://github.com/llvm/llvm-project/issues/58219
  * Install usr/lib/llvm-16/include/__libunwind_config.h
    usr/lib/llvm-16/include/libunwind.h
    usr/lib/llvm-16/include/mach-o/compact_unwind_encoding.h
    usr/lib/llvm-16/include/unwind.h
    usr/lib/llvm-16/include/unwind_arm_ehabi.h
    usr/lib/llvm-16/include/unwind_itanium.h
    in libunwind-X.Y-dev
  * Install llvm-bat-dump in bolt-X.Y
  * disable-openmpd.diff: Disable the test of openmpd
    because of https://github.com/llvm/llvm-project/issues/58941

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 11 Nov 2022 17:43:40 +0100

llvm-toolchain-snapshot (1:16~++20220830053930+25fdcb8e6ce3-1~exp1) experimental; urgency=medium

  * Main is now 16. A branch for 15 has been created
  * clang doesn't have a specific SONAME anymore.
    See https://reviews.llvm.org/D129160 for the rational
  * Install clang-tblgen in clang-tools-X.Y
  * For apt.llvm.org on stretch, from snapshot, also use libc++ for the
    build. It adds a dependency on libc++. It might be extended in
    the future for for now, it is Debian/stretch only
  * Remove clang-offload-wrapper & clang-nvlink-wrapper like upstream
  * Set CLANG_FORCE_MATCHING_LIBCLANG_SOVERSION to make sure that version of
    libclang == clang. this to simplify the packaging, the coinstability
    and to have more consistency.
  * Install usr/lib/llvm-@LLVM_VERSION@/share/gdb/python/ompd/ in libomp-16-dev
  * Remove ompt-multiplex.h from libomp
  * Install llvm-remarkutil in llvm-X.Y
  * Don't build libclc-16 as it needs a more recent version of llvm-spirv

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Aug 2022 17:40:55 +0200

llvm-toolchain-snapshot (1:16~++20220731055325+02b3a358926e-1~exp1) experimental; urgency=medium

  * Main is now 16. A branch for 15 has been created
  * clang doesn't have a specific SONAME anymore.
    See https://reviews.llvm.org/D129160 for the rational

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Jul 2022 21:36:27 +0200

llvm-toolchain-15 (1:15.0.7-2) UNRELEASED; urgency=medium

  * Adjust some lintian overrides
  * Disable flang on s390x. Seems that it is breaking

  [ Gianfranco Costamagna ]
  * Update print lldb python patch, following what was done
    in automake for newer python

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Jan 2023 10:54:41 +0100

llvm-toolchain-15 (1:15.0.7-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Jan 2023 12:31:57 +0100

llvm-toolchain-15 (1:15.0.6-5~exp3) experimental; urgency=medium

  * Don't always build flang

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 07 Jan 2023 23:46:18 +0100

llvm-toolchain-15 (1:15.0.6-5~exp2) experimental; urgency=medium

  * Restrict flang on 64bits archs:
    (amd64 arm64 mips64el ppc64el kfreebsd-amd64 s390x ppc64 sparc64 riscv64)
    See: https://github.com/llvm/llvm-project/issues/59845

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 06 Jan 2023 13:19:48 +0100

llvm-toolchain-15 (1:15.0.6-5~exp1) experimental; urgency=medium

  * Add flang-15 and libraries support
  * Several changes coming from the branch -14:
  * wasm support significantly improved with several packages:
    - libc++-15-dev-wasm32
    - libc++abi-15-dev-wasm32
    - libclang-rt-15-dev-wasm32
    - libclang-rt-15-dev-wasm64
    It is now as easy as:
    $ apt install clang-15 lld-15 libclang-rt-15-dev-wasm32 wasi-libc
    $ clang-15 --target=wasm32-wasi helloworld.c -o helloworld.wasm
    Many thanks to Faidon Liambotis
  * libclang-common-15-dev splitted into different packages:
    - libclang-rt-15-dev
    - libpolly-15-dev
    - libclang-rt-15-dev-wasm32
    - libclang-rt-15-dev-wasm64

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Jan 2023 00:40:25 +0100

llvm-toolchain-15 (1:15.0.6-4) unstable; urgency=medium

  * link-grpc.diff: add the detection of other libs necessary for
    grpc (Closes: #1025530)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Jan 2023 15:46:39 +0100

llvm-toolchain-15 (1:15.0.6-3) unstable; urgency=medium

  * Build on spirv-15 for riscv64 too.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Nov 2022 16:15:42 +0100

llvm-toolchain-15 (1:15.0.6-2) unstable; urgency=medium

  * Fix build on riscv64 by disabling WASM for now.
  * Explicitly depend on spirv-14 for riscv64, to bootstrap spirv there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Nov 2022 15:31:52 +0100


