=== debian/changelog ===
llvm-toolchain-16 (1:16.0.0~+rc2-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 08 Feb 2023 19:40:52 +0100

llvm-toolchain-16 (1:16~++20230115053056+df5fc4504b86-1~exp2) UNRELEASED; urgency=medium

  * Don't build omptarget on armhf either

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 30 Jan 2023 10:09:21 +0100
