## llvm-toolchain-16 16.0.0~+rc4

=== debian/changelog ===
llvm-toolchain-16 (1:16.0.0~+rc4-1~exp1ubuntu2) lunar; urgency=medium

  * Install liborc_rt-armhf.a on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Mar 2023 06:20:59 +0100

llvm-toolchain-16 (1:16.0.0~+rc4-1~exp1ubuntu1) lunar; urgency=medium

  * Don't ship gdb scripts for ompd on armhf.
  * Don't run MLIR tests on armhf, timeouts on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Mar 2023 11:30:15 +0100

llvm-toolchain-16 (1:16.0.0~+rc4-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 11 Mar 2023 10:50:01 +0100

llvm-toolchain-15 (1:15.0.7-2) unstable; urgency=medium

  * Adjust some lintian overrides
  * Disable flang on s390x. Seems that it is breaking

  [ Gianfranco Costamagna ]
  * Update print lldb python patch, following what was done
    in automake for newer python
  [ Sylvestre Ledru ]
  * Yeah, we would like to have this version in bookworm
    (Closes: #1032316)
  * Adjust some lintian overrides
  * Disable flang on s390x. Seems that it is breaking

  [ Gianfranco Costamagna ]
  * Update print lldb python patch, following what was done
    in automake for newer python

  [ Samuel Thibault ]
  * Fix disabling amdgpu on non-Linux.

  [ John Paul Adrian Glaubitz ]
  * Don't run chrpath for libclang on powerpc and powerpcspe

  [ Faidon Liambotis ]
  * Update the wasm-sysroot-usr.diff patch to restore functionality that was
    accidentally dropped when the patch was forward-ported from 14 to 15. This
    resolves an issue in which clang++ builds would fail if libc++-15-dev was
    installed alongside libc++-15-dev-wasm32. (Closes: #1029010, #1032317)

  [ Cordell Bloor ]
  * Backport support for HIP in /usr and add Debian paths
    for rocm-device-libs to search list (Closes: #1031808)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Jan 2023 10:54:41 +0100
