## llvm-toolchain-16 16.0.0

=== debian/changelog ===
llvm-toolchain-16 (1:16.0.0-1~exp5ubuntu1) lunar; urgency=medium

  * Try to reduce to 2 the parallel building for riscv64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Apr 2023 08:35:19 +0200

llvm-toolchain-16 (1:16.0.0-1~exp5) experimental; urgency=medium

  * Don't ship liborc on armel too
  * Install ASAN symbolize on riscv64
  * Limit parallel building to 3 on riscv64, should speed up extremely slow builds due to too many concurrent threads

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Mar 2023 08:53:13 +0200

llvm-toolchain-16 (1:16.0.0-1~exp4) experimental; urgency=medium

  * Use 16 for wasm libs instead of 16.0.0
    https://github.com/llvm/llvm-project/issues/61550

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 22 Mar 2023 23:36:45 +0100

llvm-toolchain-16 (1:16.0.0-1~exp3) experimental; urgency=medium

  * Revert gold linker on riscv64, FTBFS

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Mar 2023 11:27:33 +0100

llvm-toolchain-16 (1:16.0.0-1~exp2) experimental; urgency=medium

  [ Matthias Klose <doko@ubuntu.com> ]
  * Install liborc_rt-armhf.a on armhf.
  * Don't ship gdb scripts for ompd on armhf.
  * Don't run MLIR tests on armhf, timeouts on the buildds.

  [ Gianfranco Costamagna ]
  * Try to use gold linker on riscv64, to see if the build goes to
    the end successfully

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Mar 2023 09:41:39 +0100

llvm-toolchain-16 (1:16.0.0-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 Mar 2023 21:41:44 +0100

llvm-toolchain-15 (1:15.0.7-4) UNRELEASED; urgency=medium

  * Fix debian/libclang1-15.symbols soname
  * Remove build artifacts if any

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 15 Mar 2023 21:45:46 +0100

llvm-toolchain-15 (1:15.0.7-3) unstable; urgency=medium

  * Disable the flang autopkgtests on unsupported architectures

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Mar 2023 11:19:54 +0100

llvm-toolchain-15 (1:15.0.7-1~exp1) UNRELEASED; urgency=medium

  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 13 Jan 2023 15:12:11 +0100

llvm-toolchain-15 (1:15.0.6~++20230102020141+088f33605d8a-1~exp1) UNRELEASED; urgency=medium

  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 02 Jan 2023 14:01:53 +0100
