## llvm-toolchain-16 16.0.1

=== debian/changelog ===
llvm-toolchain-16 (1:16.0.1-1~exp1revyos1) unstable; urgency=medium

  * Add terapines rvv071 patch

 -- Han Gao <gaohan@iscas.ac.cn>  Tue, 11 Apr 2023 14:03:30 +0800

llvm-toolchain-16 (1:16.0.1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Apr 2023 13:25:21 +0200
